Name:		rocm-comgr
Version:	3.9.0
Release:	0%{?dist}
Summary:	ROCm Compiler Support

License:	NCSA
URL:		https://github.com/RadeonOpenCompute/ROCm
Source0:	https://github.com/RadeonOpenCompute/ROCm-CompilerSupport/archive/rocm-%{version}.tar.gz

Patch0:		0001-Revert-Add-gfx1031.patch
Patch1:		0002-link-against-clang-and-clang-cpp.patch
Patch2:		0003-change-AMD_COMGR_PACKAGE_PREFIX-to-lib64.patch

ExclusiveArch:	x86_64 aarch64

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  clang-devel
# The neccessity to include llvm-devel is probably a shortcoming of the clang-devel package to depend on it
BuildRequires:  llvm-devel
BuildRequires:  lld-devel
BuildRequires:	cmake
BuildRequires:	rocm-device-libs

Requires:	clang
Requires:	lld
Requires:	rocm-device-libs

%description
ROCm Compiler Support

%package devel
Summary: ROCm Compiler Support development files
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: rocm-device-libs = %{version}

%description devel
ROCm Runtime development files


%prep
%autosetup -n  ROCm-CompilerSupport-rocm-%{version} -p1

%build
mkdir build
cd build

%cmake ../lib/comgr -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build


%install
cd build
%cmake_install

rm -rf %{buildroot}/usr/share/amd_comgr

#mv %{buildroot}{/usr/lib/cmake,%{_libdir}} 

%ldconfig_scriptlets

%files
%doc README.md
%license LICENSE.txt
%{_libdir}/libamd_comgr.so.1.8.0
%{_libdir}/libamd_comgr.so.1

%files devel
%{_includedir}/
%{_libdir}/libamd_comgr.so
%{_libdir}/cmake

%changelog
* Mon Nov 23 2020 Philipp Knechtges - 3.9.0-0
- Initial commit
